Package org.gradle.tooling.events.problems

# Interface Severity

@Incubating public interface Severity
Represents a problem severity.

Since:
  8.6

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Severity`
  `ADVICE`
  Advice-level severity.
  `static final Severity`
  `ERROR`
  Error-level severity.
  `static final Severity`
  `WARNING`
  Warning-level severity.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getSeverity()`
  The severity level represented by a string.
  `boolean`
  `isKnown()`
  Returns true if this severity is one of `ADVICE`, `WARNING`, or `ERROR`.

- ## Field Details

  - ### ADVICE

    static final Severity ADVICE
    Advice-level severity.
    Since:
      8.6

  - ### WARNING

    static final Severity WARNING
    Warning-level severity.
    Since:
      8.6

  - ### ERROR

    static final Severity ERROR
    Error-level severity.
    Since:
      8.6

- ## Method Details

  - ### getSeverity

    int getSeverity()
    The severity level represented by a string.
    Returns:
      the severity
    Since:
      8.6

  - ### isKnown

    boolean isKnown()
    Returns true if this severity is one of `ADVICE`, `WARNING`, or `ERROR`.
    Returns:
      if this instance is a known severity
    Since:
      8.6